petsc-3.4.2 2013-07-02

# MatDiagonalSet

Computes Y = Y + D, where D is a diagonal matrix that is represented as a vector. Or Y[i,i] = D[i] if InsertMode is INSERT_VALUES.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDiagonalSet(Mat Y,Vec D,InsertMode is)

### Input Parameters

| Y | - the input matrix
| D | - the diagonal matrix, represented as a vector
| i | - INSERT_VALUES or ADD_VALUES

Neighbor-wise Collective on Mat and Vec

### Keywords

matrix, add, shift, diagonal

### See Also

MatShift()

Level:intermediate
Location:src/mat/utils/axpy.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages